RDKit: RDKit::v2::SmilesParse::SmilesParserParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::v2::SmilesParse::SmilesParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes
bool | sanitize = true
bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | removeHs = true
bool | skipCleanup = false
bool | debugParse = false
std::map< std::string, std::string > | replacements

## Detailed Description

Definition at line 43 of file SmilesParse.h.

## Member Data Documentation

## ◆ allowCXSMILES

bool RDKit::v2::SmilesParse::SmilesParserParams::allowCXSMILES = true

recognize and parse CXSMILES

Definition at line 45 of file SmilesParse.h.

## ◆ debugParse

bool RDKit::v2::SmilesParse::SmilesParserParams::debugParse = false

enable debugging in the SMILES parser

Definition at line 51 of file SmilesParse.h.

## ◆ parseName

bool RDKit::v2::SmilesParse::SmilesParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 48 of file SmilesParse.h.

## ◆ removeHs

bool RDKit::v2::SmilesParse::SmilesParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 49 of file SmilesParse.h.

## ◆ replacements

std::map<std::string, std::string> RDKit::v2::SmilesParse::SmilesParserParams::replacements

allows SMILES "macros"

Definition at line 53 of file SmilesParse.h.

## ◆ sanitize

bool RDKit::v2::SmilesParse::SmilesParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 44 of file SmilesParse.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

## ◆ skipCleanup

bool RDKit::v2::SmilesParse::SmilesParserParams::skipCleanup = false

skip the final cleanup stage

Definition at line 50 of file SmilesParse.h.

## ◆ strictCXSMILES

bool RDKit::v2::SmilesParse::SmilesParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 46 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h